# UpdateTaxRate

Use this method to update a tax rate. Please note that system defined tax rates can't be updated.

All the existing tax components must be supplied when updating a tax rate. If a tax rate has three components, and only two are supplied while updating it, the third component will be deleted.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Tax type

Tax type of the tax rate to update. See [Tax Types](https://developer.xero.com/documentation/api/types/#TaxTypes).

#### Tax rate

Tax rate to update.

## Output

#### TaxRate

Tax rate updated.

## Links

[Tax Rates (POST)](https://developer.xero.com/documentation/api/tax-rates#POST)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/taxrate/updatetaxrate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
